# Class JSOFA.SphericalCoordinateEO

java.lang.Object
org.jastronomy.jsofa.JSOFA.SphericalCoordinateEO

Enclosing class:
  `JSOFA`

public static class JSOFA.SphericalCoordinateEO extends Object
Spherical coordinate with equation of origins .

Since:
  26 Jan 2010
Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 28 Mar 2014

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`eo`
`JSOFA.SphericalCoordinate`
`pos`

## Constructor Summary

Constructors
Constructor
Description
`SphericalCoordinateEO(JSOFA.SphericalCoordinate pos, double eo)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pos

public JSOFA.SphericalCoordinate pos

### eo

public double eo

## Constructor Details

### SphericalCoordinateEO

public SphericalCoordinateEO(JSOFA.SphericalCoordinate pos, double eo)

Parameters:
  `pos` - the spherical position.
  `eo` - the equation of thr origins.